#include<stdio.h>
#include<stdlib.h>
#include<conio.h>

#define F 10

void main(void)
{
	int M1[F],i,j,aux;

	clrscr();
	M1[0]=0;
	printf("Teclee 10 n£meros enteros positivos\n");
	for(i=0;i<F;i++)
	{
		printf("Teclee el n£mero %d: ",i+1);
		scanf("%d",&M1[i]);
		if(M1[i]<0)
		{
			printf("He dicho positivo\n");
			i--;
		}
	}
	for(j=0;j<F;j++)
	{
		for(i=0;i<F;i++)
		if(M1[i-1]>=M1[i])
			{
				aux=M1[i];
				M1[i]=M1[i-1];
				M1[i-1]=aux;
			}
	}
	for(i=0;i<F;i++)
	{
		printf("%3d ",M1[i]);
	}
	getch();
}